Subject: bug#400: [External] : Re: bug#400: 23.0.60; C-h v should pick up lispified name in Customize

From: Drew Adams <[email-masked]>
Date: Wed, 20 Oct 2021 21:27:41 +0000

> So I think I would actually appreciate this feature, in particular if
> it was on `C-h v' because that's what I use everywhere else for variables.
> Even if it could perhaps be considered a bit "unclean".

Yes.  (But I don't see anything unclean about it.)

In this context (customizing options) I use `C-h v'
and then `M-.', which with Icicles puts the name at
point in the minibuffer.  Then I backspace to remove
the `:' char (which should anyway not be used there;
it's just noise and a bother).

Eli says this isn't reasonable because the doc is
already displayed in Customize.  It is displayed
(though it might be partially hidden), but without
its _links_.  Being shown there is no substitute
for *Help*.

(To me this request should have been a no-brainer.
But what do I know?)
___

I also think that `custom-unlispify-tag-names'
should be OFF by default.

Or that the Lisp names should _always_ be shown.
If you want to also show the unlispified names
then OK, do so (but have an option to turn that
off).

The Lisp name is what's useful to users - all
users.  The "unlispified" name is ~useless.  OK,
in some cases it might convey something helpful.
But that can be done without removing the Lisp
name.  The Lisp name is paramount, and being
able to use it to get to more info is important.
___

Another possibility, if the Lisp name is shown,
is to make it a link to what `C-h v' shows.  (Or
a link to what `C-h S' shows.)